/Users/bernard/b20/bsoft/src/bcomplex.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/bcomplex.cpp - Program for handing complex images.

SYNOPSIS

#include 'rwimg.h'
#include 'utilities.h'
#include 'options.h'
#include 'timer.h'

  Functions
int main (int argc, char **argv)

  Variables
int verbose
const char * use []

Detailed Description

Program for handing complex images.

Author:
    Bernard Heymann

Date:
    Created: 19990321

    Modified: 20150814

Definition in file bcomplex.cpp.

Function Documentation

  int main (int argc, char ** argv)

Definition at line 44 of file bcomplex.cpp.

Variable Documentation

  const char* use[]
Initial value:

= {
" ",
"Usage: bcomplex [options] input.img output.img",
"----------------------------------------------",
"Converts complex image forms.",
" ",
"Actions:",
"-size 120,102,200        Resize the image as a Fourier transform.",
"-logarithm               Calculate the logarithm of the image.",
"-amplitudes              Convert a complex image to amplitudes.",
"-intensities             Convert a complex image to intensities.",
"-real                    Convert a complex image to real values.",
"-imaginary               Convert a complex image to imaginary values.",
"-phases                  Convert a complex image to phases.",
"-signed                  Convert a complex image to amplitudes, with sign based on phase.",
"-positive                Convert a complex image to be postive definite.",
"-friedel                 Check and apply Friedel symmetry.",
" ",
"Parameters:",
"-verbose 7               Verbosity of output.",
"-datatype u              Force writing of a new data type.",
"-sampling 1.5,1.5,1.5    Sampling (A/pixel; a single value can be given).",
" ",
NULL
}

Definition at line 18 of file bcomplex.cpp.

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.